Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.MouseButton

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.MouseButton

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.MouseButton

extends java.lang.Enum
implements QtEnumerator

This enum type describes the different mouse buttons.

See also:
  `KeyboardModifier` , and `Modifier` .

See Also:
  Serialized Form

Field Summary
`static Qt.MouseButton` | `LeftButton` The left button is pressed, or an event refers to the left button.
`static Qt.MouseButton` | `MidButton` The middle button.
`static Qt.MouseButton` | `MouseButtonMask`
`static Qt.MouseButton` | `NoButton` The button state does not refer to any button (see `QMouseEvent::button()`).
`static Qt.MouseButton` | `RightButton` The right button.
`static Qt.MouseButton` | `XButton1` The first X button.
`static Qt.MouseButton` | `XButton2` The second X button.

Method Summary
`static Qt.MouseButtons` | `createQFlags(Qt.MouseButton[] values)` This function creates a com.trolltech.qt.core.Qt$MouseButtons with the specified `com.trolltech.qt.core.Qt$MouseButton[]` MouseButton values set.
`static Qt.MouseButton` | `resolve(int value)` Returns the MouseButton constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.MouseButton` | `valueOf(java.lang.String name)`
`static Qt.MouseButton[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoButton

    public static final Qt.MouseButton NoButton

  The button state does not refer to any button (see `QMouseEvent::button()`).

### LeftButton

    public static final Qt.MouseButton LeftButton

  The left button is pressed, or an event refers to the left button. (The left button may be the right button on left-handed mice.)

### RightButton

    public static final Qt.MouseButton RightButton

  The right button.

### MidButton

    public static final Qt.MouseButton MidButton

  The middle button.

### XButton1

    public static final Qt.MouseButton XButton1

  The first X button.

### XButton2

    public static final Qt.MouseButton XButton2

  The second X button.

### MouseButtonMask

    public static final Qt.MouseButton MouseButtonMask

Method Detail

### values

    public static Qt.MouseButton[] values()

### valueOf

    public static Qt.MouseButton valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.MouseButtons createQFlags(Qt.MouseButton[] values)

  This function creates a com.trolltech.qt.core.Qt$MouseButtons with the specified `com.trolltech.qt.core.Qt$MouseButton[]` MouseButton values set.

### resolve

    public static Qt.MouseButton resolve(int value)

  Returns the MouseButton constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD